import { notFound } from 'next/navigation';

import { featureFlagsConfig } from '@kit/shared/config';

function UserBillingLayout(props: React.PropsWithChildren) {
  const isEnabled = featureFlagsConfig.enablePersonalAccountBilling;

  if (!isEnabled) {
    notFound();
  }

  return <>{props.children}</>;
}

export default UserBillingLayout;
